<%
	' Variables contenant la liste des BSC
	Dim ListeBSCCode, ListeBSCNom
	' Variables contenant la liste des villes
	Dim ListeVillesCode, ListeVillesNom
	' Variables contenant la liste des sites
	Dim ListeSitesCode, ListeSitesNom
	' Variables contenant la liste des cellules
	Dim ListeCellulesCode
	
	' Choix effectu par l'utilisateur
	Dim choixBSC 
	Dim choixVille 
	Dim choixSite 
	Dim choixCellule 
	Dim choixDate1 
	Dim choixDate2 
	Dim choixSeuil
	Dim SeuilCongestion
	Dim NbLignes
	Dim NumeroPage
	Dim NbPages	
	
	' Vrification si les paramtres sont passs par GET ou POST
	' en lisant le paramtre du numro de page par GET (s'il est vide, alors les paramtres sont passs par POST)
	NumeroPage = Request.QueryString.Item("p1")
	if NumeroPage = 0 then
		' Initialisation du numro de page 
		NumeroPage = 1
		' Lecture des lments du formulaire pour connatre les choix en terme de BSC, villes, ...
		' BSC
		choixBSC = Request.Form("cboBSC")
		if choixBSC = "" then
			' valeur par dfaut : Toutes les BSC
			choixBSC = "00"
		end if
		' Ville
		choixVille = Request.Form("cboVille")
		if choixVille = "" then
			' valeur par dfaut : Toutes les villes
			choixVille = "00"
		end if
		' Site
		choixSite = Request.Form("cboSite")
		if choixSite = "" then
			' valeur par dfaut : Tous les sites
			choixSite = "00"
		end if
		' Cellule
		choixCellule = Request.Form("cboCellule")
		if choixCellule = "" then
			' valeur par dfaut : Toutes les cellules
			choixCellule = "00"
		end if
		' Date de dpart
		choixDate1 = Request.Form("txtDateDepart")
		if not IsDate(choixDate1)  then
			' valeur par dfaut : la date de la veille
			choixDate1 = FormatDateTime(Date - 1 , 2)
		end if
		' Date de fin
		choixDate2 = Request.Form("txtDateFin")
		if not IsDate(choixDate2)  then
			' valeur par dfaut : la date de la veille
			choixDate2 = FormatDateTime(Date - 1 , 2)
		end if
		' Seuil de congestion
		choixSeuil = Request.Form("cboSeuil")
		if choixSeuil = "" then
			choixSeuil = "01"
		end if
		' Nb de lignes par page
		NbLignes = Request.Form("cboNbLignes")
		
	else
		' Lecture des infos par la mthode GET
		' BSC
		choixBSC = Request.QueryString.Item("p2")
		if choixBSC = "" then
			' valeur par dfaut : Toutes les BSC
			choixBSC = "00"
		end if
		' Ville
		choixVille = Request.QueryString.Item("p3")
		if choixVille = "" then
			' valeur par dfaut : Toutes les villes
			choixVille = "00"
		end if
		' Site
		choixSite = Request.QueryString.Item("p4")
		if choixSite = "" then
			' valeur par dfaut : Tous les sites
			choixSite = "00"
		end if
		' Cellule
		choixCellule = Request.QueryString.Item("p5")
		if choixCellule = "" then
			' valeur par dfaut : Toutes les cellules
			choixCellule = "00"
		end if
		' Date de dpart
		choixDate1 = Request.QueryString.Item("p6")
		if not IsDate(choixDate1)  then
			' valeur par dfaut : la date de la veille
			choixDate1 = FormatDateTime(Date - 1 , 2)
		end if
		' Date de fin
		choixDate2 = Request.QueryString.Item("p7")
		if not IsDate(choixDate2)  then
			' valeur par dfaut : la date de la veille
			choixDate2 = FormatDateTime(Date - 1 , 2)
		end if
		' Seuil de congestion
		choixSeuil = Request.QueryString.Item("p8")
		if choixSeuil = "" then
			choixSeuil = "01"
		end if		
		' Nb de lignes par page
		NbLignes = Request.QueryString.Item("p9")
		
	end if
	' Initialisation du seuil de connexion
	SeuilCongestion = 1.5
	
	' Remplissage du combo des BSC par prparation d'une chaine contenant les noms
	' des BSC spars par le caractre ;
	' Intialisation du jeu d'enregistrement
	Set Enr = Server.CreateObject("ADODB.Recordset")
	Enr.ActiveConnection = ConnexionDonnees
	Enr.Source = "SELECT Code, Libell FROM BSC order by Libell"
	Enr.CursorType = 0
	Enr.CursorLocation = 2
	Enr.LockType = 1
	Enr.Open()
	' parcours des BSC
	while not Enr.EOF
		' lecture de la ligne
		ListeBSCCode = ListeBSCCode + Trim(Enr("Code") & "") + ";"
		ListeBSCNom = ListeBSCNom + Trim(Enr("Libell") & "") + ";"
		' suivant !
		Enr.MoveNext
	Wend
	' Suppression des ; terminaux
	if Right(ListeBSCCode,1)=";" then
		ListeBSCCode = Trim(Left(ListeBSCCode, len(ListeBSCCode)-1))
	end if
	if Right(ListeBSCNom,1)=";" then
		ListeBSCNom = Trim(Left(ListeBSCNom, len(ListeBSCNom)-1))
	end if
	' fermeture du jeu d'enregistrement
	Enr.Close()
	Set Enr = Nothing	
	
	' Remplissage du combo des villes par prparation d'une chaine contenant les noms
	' des villes spares par le caractre ;
	' Intialisation du jeu d'enregistrement
	Set Enr = Server.CreateObject("ADODB.Recordset")
	Enr.ActiveConnection = ConnexionDonnees
	Enr.Source = "SELECT Code, Libell FROM Localits order by Libell"
	Enr.CursorType = 0
	Enr.CursorLocation = 2
	Enr.LockType = 1
	Enr.Open()
	' parcours des villes
	while not Enr.EOF
		' lecture de la ligne
		ListeVillesCode = ListeVillesCode + Trim(Enr("Code") & "") + ";"
		ListeVillesNom = ListeVillesNom + Trim(Enr("Libell") & "") + ";"
		' suivant !
		Enr.MoveNext
	Wend
	' Suppression des ; terminaux
	if Right(ListeVillesCode,1)=";" then
		ListeVillesCode = Trim(Left(ListeVillesCode, len(ListeVillesCode)-1))
	end if
	if Right(ListeVillesNom,1)=";" then
		ListeVillesNom = Trim(Left(ListeVillesNom, len(ListeVillesNom)-1))
	end if
	' fermeture du jeu d'enregistrement
	Enr.Close()
	Set Enr = Nothing		
	
	' Remplissage du combo des sites par ville par prparation d'une chaine contenant les noms
	' des sites spares par le caractre ;
	' Vrification si le choix de la ville n'est pas sur All
	if choixVille <> "00" then
		' Intialisation du jeu d'enregistrement
		Set Enr = Server.CreateObject("ADODB.Recordset")
		Enr.ActiveConnection = ConnexionDonnees
		chaineSQL = "SELECT Code, Libell FROM Sites where "
		chaineSQL = chaineSQL + "[Code localit] = '" + choixVille + "' "
		if choixBSC <> "00" then
			chaineSQL = chaineSQL + "and [Code BSC] = '" + choixBSC + "' "
		end if
		chaineSQL = chaineSQL + "order by Libell"
		Enr.Source = chaineSQL
		Enr.CursorType = 0
		Enr.CursorLocation = 2
		Enr.LockType = 1
		Enr.Open()
		' parcours des sites
		while not Enr.EOF
			' lecture de la ligne
			ListeSitesCode = ListeSitesCode + Trim(Enr("Code") & "") + ";"
			ListeSitesNom = ListeSitesNom + Trim(Enr("Libell") & "") + ";"
			' suivant !
			Enr.MoveNext
		Wend
		' Suppression des ; terminaux
		if Right(ListeSitesCode,1)=";" then
			ListeSitesCode = Trim(Left(ListeSitesCode, len(ListeSitesCode)-1))
		end if
		if Right(ListeSitesNom,1)=";" then
			ListeSitesNom = Trim(Left(ListeSitesNom, len(ListeSitesNom)-1))
		end if
		' fermeture du jeu d'enregistrement
		Enr.Close()
		Set Enr = Nothing		
	else
		' On efface la liste des sites
		ListeSitesCode = ""
		ListeSitesNom = ""
	end if

	' Remplissage du combo des cellules par site par prparation d'une chaine contenant les noms
	' des sites spares par le caractre ;
	' Vrification si le choix de la cellule n'est pas sur All
	if choixSite <> "00" or choixBSC <>"00" then
		' Intialisation du jeu d'enregistrement
		Set Enr = Server.CreateObject("ADODB.Recordset")
		Enr.ActiveConnection = ConnexionDonnees
		chaineSQL = "SELECT C.Code FROM Cellules C, BTS B, Sites S where " 
		chaineSQL = chaineSQL + "C.[Code BTS] = B.Code and "
		chaineSQL = chaineSQL + "B.[Code site] = S.Code "
		if choixSite <> "00" then
			chaineSQL = chaineSQL + "and S.Code = '" + choixSite + "' "
		end if
		if choixBSC <> "00" then
			chaineSQL = chaineSQL + "and S.[Code BSC] = '" + choixBSC + "' "
		end if
		chaineSQL = chaineSQL + "order by C.Code"
		Enr.Source = chaineSQL
		Enr.CursorType = 0
		Enr.CursorLocation = 2
		Enr.LockType = 1
		Enr.Open()
		' parcours des sites
		while not Enr.EOF
			' lecture de la ligne
			ListeCellulesCode = ListeCellulesCode + Trim(Enr("Code") & "") + ";"
			' suivant !
			Enr.MoveNext
		Wend
		' Suppression des ; terminaux
		if Right(ListeCellulesCode,1)=";" then
			ListeCellulesCode = Trim(Left(ListeCellulesCode, len(ListeCellulesCode)-1))
		end if
		' fermeture du jeu d'enregistrement
		Enr.Close()
		Set Enr = Nothing		
	else
		' On efface la liste des cellules
		ListeCellulesCode = ""
	end if

%>
